# `d2l` Package Index

|Name of Function or Class|Relevant Chapter|
|:--|:-:|
| `bbox_to_rect`|[Object Detection and Bounding Boxes](../chapter_computer-vision/bounding-box.md)|
| `Benchmark`|[Asynchronous Computation](../chapter_computational-performance/async-computation.md)|
| `corr2d`|[Two-dimensional Convolutional Layer](../chapter_convolutional-neural-networks/conv-layer.md)|
| `count_tokens`|[Sentiment Classification: Using Recurrent Neural Networks](../chapter_natural-language-processing/sentiment-analysis-rnn.md)|
| `data_iter`|[Linear Regression Implementation from Scratch](../chapter_deep-learning-basics/linear-regression-scratch.md)|
| `data_iter_consecutive`|[Language Model Data Set (Jay Chou album lyrics)](../chapter_recurrent-neural-networks/lang-model-dataset.md)|
| `data_iter_random`|[Language Model Data Set (Jay Chou album lyrics)](../chapter_recurrent-neural-networks/lang-model-dataset.md)|
| `download_imdb`|[Sentiment Classification: Using Recurrent Neural Networks](../chapter_natural-language-processing/sentiment-analysis-rnn.md)|
| `download_voc_pascal`|[Semantic Segmentation and Data Sets](../chapter_computer-vision/semantic-segmentation-and-dataset.md)|
| `evaluate_accuracy`|[Image Augmentation](../chapter_computer-vision/image-augmentation.md)|
| `get_data_ch7`|[Mini-batch Stochastic Gradient Descent](../chapter_optimization/minibatch-sgd.md)|
|`get_fashion_mnist_labels`|[Image Classification Data Set(Fashion-MNIST)](../chapter_deep-learning-basics/fashion-mnist.md)|
| `get_tokenized_imdb`|[Sentiment Classification: Using Recurrent Neural Networks](../chapter_natural-language-processing/sentiment-analysis-rnn.md)|
| `get_vocab_imdb`|[Sentiment Classification: Using Recurrent Neural Networks](../chapter_natural-language-processing/sentiment-analysis-rnn.md)|
| `grad_clipping`|[Recurrent Neural Network Implementation from Scratch](../chapter_recurrent-neural-networks/rnn-scratch.md)|
| `linreg`|[Linear Regression Implementation from Scratch](../chapter_deep-learning-basics/linear-regression-scratch.md)|
| `load_data_fashion_mnist`|[Deep Convolutional Neural Networks (AlexNet)](../chapter_convolutional-neural-networks/alexnet.md)|
|`load_data_jay_lyrics`|[Language Model Data Set (Jay Chou album lyrics)](../chapter_recurrent-neural-networks/lang-model-dataset.md)|
|`load_data_pikachu`|[Object Detection Data Set(Pikachu)](../chapter_computer-vision/object-detection-dataset.md)|
| `plt`|[Linear Regression Implementation from Scratch](../chapter_deep-learning-basics/linear-regression-scratch.md)|
| `predict_rnn`|[Recurrent Neural Network Implementation from Scratch](../chapter_recurrent-neural-networks/rnn-scratch.md)|
| `predict_rnn_gluon`|[Concise Implementation of Recurrent Neural Networks](../chapter_recurrent-neural-networks/rnn-gluon.md)|
| `predict_sentiment`|[Sentiment Classification: Using Recurrent Neural Networks](../chapter_natural-language-processing/sentiment-analysis-rnn.md)|
| `preprocess_imdb`|[Sentiment Classification: Using Recurrent Neural Networks](../chapter_natural-language-processing/sentiment-analysis-rnn.md)|
| `read_imdb`|[Sentiment Classification: Using Recurrent Neural Networks](../chapter_natural-language-processing/sentiment-analysis-rnn.md)|
| `read_voc_images`|[Semantic Segmentation and Data Sets](../chapter_computer-vision/semantic-segmentation-and-dataset.md)|
| `Residual`|[Residual Networks (ResNet)](../chapter_convolutional-neural-networks/resnet.md)|
| `resnet18`|[Concise Implementation of Multi-GPU Computing](../chapter_computational-performance/multiple-gpus-gluon.md)|
| `RNNModel`|[Concise Implementation of Recurrent Neural Networks](../chapter_recurrent-neural-networks/rnn-gluon.md)|
|`semilogy` |[Model Selection](../chapter_deep-learning-basics/underfit-overfit.md)|
| `set_figsize`|[Linear Regression Implementation from Scratch](../chapter_deep-learning-basics/linear-regression-scratch.md)|
| `sgd`|[Linear Regression Implementation from Scratch](../chapter_deep-learning-basics/linear-regression-scratch.md)|
| `show_bboxes`|[Anchor Boxes](../chapter_computer-vision/anchor.md)|
|`show_fashion_mnist`|[Image Classification Data Set(Fashion-MNIST)](../chapter_deep-learning-basics/fashion-mnist.md)|
| `show_images`|[Image Augmentation](../chapter_computer-vision/image-augmentation.md)|
| `show_trace_2d`|[Gradient Descent and Stochastic Gradient Descent](../chapter_optimization/gd-sgd.md)|
| `squared_loss`|[Linear Regression Implementation from Scratch](../chapter_deep-learning-basics/linear-regression-scratch.md)|
| `to_onehot`|[Recurrent Neural Network Implementation from Scratch](../chapter_recurrent-neural-networks/rnn-scratch.md)|
| `train`|[Image Augmentation](../chapter_computer-vision/image-augmentation.md)|
| `train_2d`|[Gradient Descent and Stochastic Gradient Descent](../chapter_optimization/gd-sgd.md)|
| `train_and_predict_rnn`|[Recurrent Neural Network Implementation from Scratch](../chapter_recurrent-neural-networks/rnn-scratch.md)|
| `train_and_predict_rnn_gluon `|[Concise Implementation of Recurrent Neural Networks](../chapter_recurrent-neural-networks/rnn-gluon.md)|
| `train_ch3`|[Softmax Regression Implementation from Scratch](../chapter_deep-learning-basics/softmax-regression-scratch.md)|
| `train_ch5`|[Convolutional Neural Networks (LeNet)](../chapter_convolutional-neural-networks/lenet.md)|
| `train_ch7`|[Mini-batch Stochastic Gradient Descent](../chapter_optimization/minibatch-sgd.md)|
| `train_gluon_ch7`|[Mini-batch Stochastic Gradient Descent](../chapter_optimization/minibatch-sgd.md)|
| `try_all_gpus`|[Image Augmentation](../chapter_computer-vision/image-augmentation.md)|
| `try_gpu`|[Convolutional Neural Networks (LeNet)](../chapter_convolutional-neural-networks/lenet.md)|
| `use_svg_display`|[Linear Regression Implementation from Scratch](../chapter_deep-learning-basics/linear-regression-scratch.md)|
| `VOC_CLASSES`|[Semantic Segmentation and Data Sets](../chapter_computer-vision/semantic-segmentation-and-dataset.md)|
| `VOC_COLORMAP`|[Semantic Segmentation and Data Sets](../chapter_computer-vision/semantic-segmentation-and-dataset.md)|
| `voc_label_indices`|[Semantic Segmentation and Data Sets](../chapter_computer-vision/semantic-segmentation-and-dataset.md)|
| `voc_rand_crop`|[Semantic Segmentation and Data Sets](../chapter_computer-vision/semantic-segmentation-and-dataset.md)|
| `VOCSegDataset`|[Semantic Segmentation and Data Sets](../chapter_computer-vision/semantic-segmentation-and-dataset.md)|
