# List of Main Symbols


The main symbols used in this book are listed below.


## Numbers

|||
|:--|:-:|
|$x$| Scalar|
|$\boldsymbol{x}$|Vector|
|$\boldsymbol{X}$|Matrix|
|$\mathsf{X}$|Tensor|


## Sets

|||
|:--|:-:|
|$\mathcal{X}$|Set|
|$\mathbb{R}$|Real number set|
|$\mathbb{R}^n$|Real number vector set of $n$ dimension|
|$\mathbb{R}^{x \times y}$|Real number matrix set with $x$ rows and $y$ columns|


## Operators

|||
|:--|:-:|
|$\boldsymbol{(\cdot)}^\top$|Vector or matrix transposition|
|$\odot$|Multiply by element|
|$\lvert\mathcal{X}\rvert$|Number of elements in the set $\mathcal{X}$|
|$\|\cdot\|_p$|$L_p$ norm|
|$\|\cdot\|$|$L_2$ norm|
|$\sum$|Continuous addition|
|$\prod$|Continuous multiplication|


## Functions

|||
|:--|:-:|
|$f(\cdot)$|Function|
|$\log(\cdot)$|Natural logarithmic function|
|$\exp(\cdot)$|Exponential function|


## Derivatives and Gradients

|||
|:--|:-:|
|$\frac{dy}{dx}$|Derivative of $y$ with respect to $x$|
|$\frac{\partial y}{\partial x}$|Partial derivative of $y$ with respect to $x$|
|$\nabla_{\cdot} y$|Gradient of $y$ with respect to $\cdot$|


## Probability and Statistics

|||
|:--|:-:|
|$\mathbb{P}(\cdot)$ | Probability distribution |
|$\cdot \sim \mathbb{P}$ | Random variable $\cdot$ obeys the probability distribution $\mathbb{P}$ |
|$\mathbb{P}(\cdot \mid\cdot)$|Conditional probability|
|$\mathbb{E}_{\cdot}\left(f(\cdot)\right)$|Expectation of $f(\cdot)$ with respect to $\cdot$|


## Complexity

|||
|:--|:-:|
|$\mathcal{O}$|Big O notation|
