# Deep Learning Computation

The previous chapter introduced the principles and implementation for a simple deep learning model, including multi-layer perceptrons. In this chapter we will cover various key components of deep learning computation, such as model construction, parameter access and initialization, custom layers, and reading, storing, and using GPUs. Throughout this chapter, you will gain important insights into model implementation and computation details, which gives readers a solid foundation for implementing more complex models in the following chapters. 

```eval_rst

.. toctree::
   :maxdepth: 2

   model-construction
   parameters
   deferred-init
   custom-layer
   read-write
   use-gpu

```
