# Natural Language Processing

Natural language processing is concerned with interactions between computers and humans that use natural language. In practice, it is very common for us to use this technique to process and analyze large amounts of natural language data, like the language models from the "Recurrent Neural Networks" section.

In this chapter, we will discuss how to use vectors to represent words and train the word vectors on a corpus. We will also use word vectors pre-trained on a larger corpus to find synonyms and analogies. Then, in the text classification task, we will use word vectors to analyze the emotion of a text and explain the important ideas of timing data classification based on RNNs and the convolutional neural networks. In addition, many of the outputs of natural language processing tasks are not fixed, such as sentences of arbitrary length. We will introduce the encoder-decoder model, beam search, and attention mechanisms to address problems of this type and apply them to machine translation. 

```eval_rst

.. toctree::
   :maxdepth: 2

   word2vec
   approx-training
   word2vec-gluon
   fasttext
   glove
   similarity-analogy
   sentiment-analysis-rnn
   sentiment-analysis-cnn
   seq2seq
   beam-search
   attention
   machine-translation
```
